Package org.codehaus.groovy.reflection

## Class ParameterTypes

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes

- Direct Known Subclasses:
    `CachedConstructor`, `MetaMethod`

      public class ParameterTypes
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isVargsMethod` |
    `protected java.lang.Class[]` | `nativeParamTypes` |
    `protected CachedClass[]` | `parameterTypes` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterTypes()` |
    `ParameterTypes​(java.lang.Class[] pt)` |
    `ParameterTypes​(java.lang.String[] pt)` |
    `ParameterTypes​(CachedClass[] parameterTypes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object[]` | `coerceArgumentsToClasses​(java.lang.Object[] argumentArray)` |
    `java.lang.Object[]` | `correctArguments​(java.lang.Object[] argumentArray)` |
    `java.lang.Class[]` | `getNativeParameterTypes()` |
    `CachedClass[]` | `getParameterTypes()` |
    `protected java.lang.Class[]` | `getPT()` |
    `boolean` | `isValidExactMethod​(java.lang.Class[] args)` |
    `boolean` | `isValidExactMethod​(java.lang.Object[] args)` |
    `boolean` | `isValidMethod​(java.lang.Class[] arguments)` |
    `boolean` | `isValidMethod​(java.lang.Object[] arguments)` |
    `boolean` | `isVargsMethod()` |
    `boolean` | `isVargsMethod​(java.lang.Object[] arguments)` |
    `protected void` | `setParametersTypes​(CachedClass[] pt)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeParamTypes

          protected volatile java.lang.Class[] nativeParamTypes

    - #### parameterTypes

          protected volatile CachedClass[] parameterTypes

    - #### isVargsMethod

          protected boolean isVargsMethod

  - ### Constructor Detail

    - #### ParameterTypes

          public ParameterTypes()

    - #### ParameterTypes

          public ParameterTypes​(java.lang.Class[] pt)

    - #### ParameterTypes

          public ParameterTypes​(java.lang.String[] pt)

    - #### ParameterTypes

          public ParameterTypes​(CachedClass[] parameterTypes)

  - ### Method Detail

    - #### setParametersTypes

          protected final void setParametersTypes​(CachedClass[] pt)

    - #### getParameterTypes

          public CachedClass[] getParameterTypes()

    - #### getNativeParameterTypes

          public java.lang.Class[] getNativeParameterTypes()

    - #### getPT

          protected java.lang.Class[] getPT()

    - #### isVargsMethod

          public boolean isVargsMethod()

    - #### isVargsMethod

          public boolean isVargsMethod​(java.lang.Object[] arguments)

    - #### coerceArgumentsToClasses

          public final java.lang.Object[] coerceArgumentsToClasses​(java.lang.Object[] argumentArray)

    - #### correctArguments

          public java.lang.Object[] correctArguments​(java.lang.Object[] argumentArray)

    - #### isValidMethod

          public boolean isValidMethod​(java.lang.Class[] arguments)

    - #### isValidExactMethod

          public boolean isValidExactMethod​(java.lang.Object[] args)

    - #### isValidExactMethod

          public boolean isValidExactMethod​(java.lang.Class[] args)

    - #### isValidMethod

          public boolean isValidMethod​(java.lang.Object[] arguments)